Export transactions, a statement, a confirmation or a receipt
curl --request GET \
--url https://api.example.com/transactions/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/transactions/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/transactions/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Transactions
Export transactions, a statement, a confirmation or a receipt
Without kind the filtered transaction list is exported as csv, xlsx or pdf. kind=statement and kind=confirmation need bankId and support pdf or xlsx; kind=receipt needs transactionId and answers pdf.
GET
/
transactions
/
export
Export transactions, a statement, a confirmation or a receipt
curl --request GET \
--url https://api.example.com/transactions/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/transactions/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/transactions/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Query Parameters
Available options:
csv, xlsx, pdf Available options:
statement, confirmation, receipt Comma-separated transaction types
Comma-separated statuses
Comma-separated tags
Minimum string length:
2Response
The rendered file, with a Content-Disposition naming it.
The response is of type file.
Was this page helpful?